Description

When a host is being built we use a DHCP range so the IP address recorded in foreman is wrong during the TFTP boot.  It should

check for MAC address and boot from that instead if possible!

Associated revisions

Revision d97375e0 - 10/31/2010 02:51 PM - Ohad Levy

Fixes #284 - Use MAC address if IP doesn't exist when tftp booting

Uses any of the assoicated mac addresses (RH only) prior to IP

Adds a new settings to not update mac or ip information to Foreman - used for cases

where DHCP booting is done via a temporary dhcp range

History

#1 - 06/10/2010 04:53 PM - Ashley Penney

OK, I've now moved to foreman as my external node classifer and it's raised several problems for me and I'm going to attempt to explain my work flow

and requirements because I feel other people may have similar workflows.

I have a small DHCP build range in the same subnet as my foreman/puppet server.  I add a new host into foreman and type in the eventual IP of the

server.  I then PXE boot that server and it picks up an IP from the DHCP range and fails.  I catch that IP and change the entry for the host in foreman

to make them match and restart the build.  It then builds and when it's done I change the IP to the final IP in foreman and let puppet run.

Problems:

Foreman needs me to set the DHCP build range IP in the host which is a pain.

Foreman can't figure out the right PXE boot stuff from the MAC alone.

When puppet runs it reports the current ip of the server to foreman, which then updates the IP field.

I rely on the IP field (thanks to a hack in host.rb) to set the node's networking details.

For this to work for me I ideally need foreman to work from a MAC address during the initial install and for it to only update the foreman database with

the IP of the server if that field is currently blank.  Ideally, this would be a toggle option somewhere.

#2 - 06/10/2010 04:57 PM - Ohad Levy

- Category set to Unattended installations

- Assignee set to Ohad Levy

- Target version set to 0.1-6

#3 - 06/10/2010 04:57 PM - Ohad Levy

- Tracker changed from Bug to Feature

#4 - 10/25/2010 07:36 PM - Ohad Levy

based on the discussion on irc the following has been agreed:

1. add an option for foreman not to auto update the provisioning data from facts

2. use the mac address alone to find RHEL / Fedora hosts
#5 - 10/28/2010 03:26 PM - Ohad Levy

- File 0001-Fixes-284-Use-MAC-address-if-IP-doesn-t-exist-when-t.patch added

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Ashley Penney

Can you please try out the patch?

#6 - 10/28/2010 05:17 PM - Ohad Levy

- File deleted (0001-Fixes-284-Use-MAC-address-if-IP-doesn-t-exist-when-t.patch)

#7 - 10/28/2010 05:17 PM - Ohad Levy

- File 0001-Fixes-284-Use-MAC-address-if-IP-doesn-t-exist-when-t.patch added

updated patch to actually send the ip/mac as host parameters

#8 - 10/31/2010 03:55 PM - Ohad Levy

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset d97375e0e8ee13cbd1ace39dcbda6f6964d28dcb.

#9 - 10/31/2010 03:58 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-Fixes-284-Use-MAC-address-if-IP-doesn-t-exist-when-t.patch 5.05 KB 10/28/2010 Ohad Levy
